export const USER_DEFINED_TIMEOUT = ms => `User defined socket timout after ${ms}ms`
export const SOCKET_NOT_CONNECTED = "The socket is not connected! Use socket.connect() first"
export const UNKNOWN_RPC_IDENTIFIER = "$UNKNOWNRPC$"
export const UNKNOWN_RPC_SERVER = name => `Unknown RPC ${name}`
export const RPC_BAD_TYPE = type => `Bad socketIORPC type ${type}`
export const CALL_NOT_FOUND = callName => `Call not found: ${callName}. ; Zone: <root> ; Task: Promise.then ; Value: Error: Call not found: ${callName}`
export const BAD_CONFIG_PARAM = "RPCServer options were passed to listen(..) after attach(..) was called. Please pass them to attach(..) instead. Ignoring."
export const RPC_NO_NAME = name => `
RPC did not provide a name. 
\nUse 'funtion name(..){ .. }' syntax instead.
\n
\n<------------OFFENDING RPC:
\n${name}
\n>------------OFFENDING RPC`
export const CLASSNAME_ATTRIBUTE = "$__CLASSNAME__$"
export const DESTROY_PREFIX = "$__DESTROY__$_"
export const CALLBACK_NAME = "$__CALLBACK__$"